Package oracle.kv

# Class StoreIteratorConfig

java.lang.Object
oracle.kv.StoreIteratorConfig

public class StoreIteratorConfig extends Object
The configuration object for `KVStore.storeIterator(Direction, int, Key, KeyRange, Depth, Consistency, long, TimeUnit, StoreIteratorConfig)`.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StoreIteratorConfig()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getMaxConcurrentRequests()`
  Returns the maximum number of concurrent requests.
  `int`
  `getMaxResultsBatches()`
  Deprecated.
  since 3.4, no longer supported.
  `StoreIteratorConfig`
  `setMaxConcurrentRequests(int maxConcurrentRequests)`
  Sets the maximum degree of parallelism (in effect the maximum number of client-side threads) to be used when running a parallel store iteration.
  `StoreIteratorConfig`
  `setMaxResultsBatches(int maxResultsBatches)`
  Deprecated.
  since 3.4, no longer supported.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### StoreIteratorConfig

    public StoreIteratorConfig()

- ## Method Details

  - ### setMaxConcurrentRequests

    public StoreIteratorConfig setMaxConcurrentRequests(int maxConcurrentRequests)
    Sets the maximum degree of parallelism (in effect the maximum number of client-side threads) to be used when running a parallel store iteration. Setting maxConcurrentRequests to 1 causes the store iteration to be performed using only the current thread. Setting it to 0 lets the KV Client determine the number of threads based on topology information (up to a maximum of the number of available processors as returned by java.lang.Runtime.availableProcessors()). Values less than 0 are reserved for some future use and cause an IllegalArgumentException to be thrown.
    Parameters:
      `maxConcurrentRequests` - the maximum number of client-side threads.
    Returns:
      this
    Throws:
      `IllegalArgumentException` - if a value less than 0 is passed for maxConcurrentRequests.

  - ### getMaxConcurrentRequests

    public int getMaxConcurrentRequests()
    Returns the maximum number of concurrent requests.
    Returns:
      the maximum number of concurrent requests

  - ### setMaxResultsBatches

    @Deprecated public StoreIteratorConfig setMaxResultsBatches(int maxResultsBatches)
    Deprecated.
    since 3.4, no longer supported.
    Parameters:
      `maxResultsBatches` - the maximum number of results sets that can be held on the client side before Replication Node processing pauses.
    Returns:
      this

  - ### getMaxResultsBatches

    @Deprecated public int getMaxResultsBatches()
    Deprecated.
    since 3.4, no longer supported. Returns the value set by setMaxResultsBatches().
    Returns:
      the value set by setMaxResultsBatches()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`